These are chat archives for frictionlessdata/chat

2nd
May 2016
Rufus Pollock
@rufuspollock
May 02 2016 07:52
Rufus Pollock
@rufuspollock
May 02 2016 07:58
@roll how is it going with frictionlessdata/ideas#128 (aws redshift)
Rufus Pollock
@rufuspollock
May 02 2016 08:22
@amercader https://github.com/rgrp/ckan-import - automated import from data package in github to ckan ...
Rufus Pollock
@rufuspollock
May 02 2016 08:28
@amercader frictionlessdata/ideas#126 - issue about ckan + data packages ..
roll
@roll
May 02 2016 08:37
@rgrp will do today
Adrià Mercader
@amercader
May 02 2016 09:02
https://github.com/ckan/ckanext-datapackager - CKAN DataPackeger extension
Daniel Fowler
@danfowler
May 02 2016 09:36
@rgrp merged to gh-pages so now datapackage-init-js demo here: http://frictionlessdata.github.io/datapackage-init-js/demo/
Rufus Pollock
@rufuspollock
May 02 2016 09:36
ah - of course- thanks!
Rufus Pollock
@rufuspollock
May 02 2016 09:56
@amercader developer tutorial ... frictionlessdata/ideas#234
Daniel Fowler
@danfowler
May 02 2016 12:43
@Daniel-Mietchen @oliversauter hi
Daniel Mietchen
@Daniel-Mietchen
May 02 2016 12:44
@oliversauter @danfowler hi
Oliver Sauter
@oliversauter
May 02 2016 12:44
I am in :) Hey people!
Mo. Momtaz Hegazy
@Momomtaz
May 02 2016 12:45
Hi
Daniel Fowler
@danfowler
May 02 2016 12:46
@oliversauter @Daniel-Mietchen @Momomtaz https://github.com/datasets/ex-tabular
Rufus Pollock
@rufuspollock
May 02 2016 13:18
are there any R folks around?
Gustavo Silva
@gsilvapt
May 02 2016 13:19
Not an expert, but shoot :)
Mo. Momtaz Hegazy
@Momomtaz
May 02 2016 13:27
@rgrp Yes, R folk here. All yours :)
Rufus Pollock
@rufuspollock
May 02 2016 13:28
@Momomtaz would you be able to check out https://github.com/ropenscilabs/datapackage and update on status e.g. is it installable etc?
Mo. Momtaz Hegazy
@Momomtaz
May 02 2016 13:30
install.packages("datapackage")
Warning in install.packages :
package 'datapackage' is not available (for R version 3.2.2)
Thats from installing within Rstudio,
What do you recommend?
Rufus Pollock
@rufuspollock
May 02 2016 13:30
i'm pretty sure it is not yet in CRAN - can you install from source?
Gustavo Silva
@gsilvapt
May 02 2016 13:36
@rgrp I'll try this when I get home. If any errors, I'll let you guys know
Rufus Pollock
@rufuspollock
May 02 2016 13:56
@tdoehmen_twitter - here's the new, soon to be official, R data package library: https://github.com/ropenscilabs/datapackage
Gustavo Silva
@gsilvapt
May 02 2016 14:09
My installation is fresh. I need to get devtools and other dependencies, otherwise the installation will not work. @Momomtaz, to install from source, clone the repo and install.packages(path_to_file, repos = NULL, type="source") - in case you don't know how to do it. I will try later when I can reinstall R correctly and if you cannot test this
Oliver Sauter
@oliversauter
May 02 2016 14:22
@danfowler WorldBrain/VISION-ROADMAP-FEATURES#18
Mo. Momtaz Hegazy
@Momomtaz
May 02 2016 14:35
@gsilvapt Thanks, works
@rgrp Needed to install a dependancy first, now works.
Gustavo Silva
@gsilvapt
May 02 2016 14:36
:+1:
Rufus Pollock
@rufuspollock
May 02 2016 14:38
@Momomtaz what was the dependency?
Mo. Momtaz Hegazy
@Momomtaz
May 02 2016 14:40
readr
So basically you need
Mo. Momtaz Hegazy
@Momomtaz
May 02 2016 14:40
install.packages("readr")
install.packages(path_to_file, repos = NULL, type="source")
Gustavo Silva
@gsilvapt
May 02 2016 14:40
Yea, I had that too. But since I needed to install devtools too, I was not sure if it was related to devtools or this new datapackage
Mo. Momtaz Hegazy
@Momomtaz
May 02 2016 14:41
I believe I had devtools installed from before
Gustavo Silva
@gsilvapt
May 02 2016 14:42
If you use R regularly, I am 100% you had :P
It is a key package to install other packages
Till Döhmen
@tdoehmen_twitter
May 02 2016 14:42
@Momomtaz Followed the instrduction, still following message: Error: could not find function "read_data_package"
@Momomtaz library(datapackage)
read_data_package("c:\Users\admin\Documents\CSVConf\cpi-master\")
Mo. Momtaz Hegazy
@Momomtaz
May 02 2016 14:47
Try library('datapackage')
As in put the package name into quaotations
Till Döhmen
@tdoehmen_twitter
May 02 2016 14:49
Also not working. Windows 7 64bit, R 3.2.5
Gustavo Silva
@gsilvapt
May 02 2016 14:52
@tdoehmen_twitter You can't install in Windows? Have you cloned the repository?
Mo. Momtaz Hegazy
@Momomtaz
May 02 2016 14:59
@tdoehmen_twitter :/ I wish i could help more
Daniel Fowler
@danfowler
May 02 2016 15:21
@Momomtaz @Daniel-Mietchen @oliversauter use GoodTables for validating tabular data http://goodtables.okfnlabs.org/
Rufus Pollock
@rufuspollock
May 02 2016 16:23
hey folks - we're all coming together in the main room for anyone here in Berlin ...
Daniel Fowler
@danfowler
May 02 2016 16:56
Thanks @Momomtaz @Daniel-Mietchen @oliversauter for your insightful comments today :)
@Daniel-Mietchen have any thoughts on UNITS? dataprotocols/dataprotocols#216
Daniel Fowler
@danfowler
May 02 2016 17:01
@oliversauter thanks for this really great team issues idea: https://github.com/WorldBrain/TEAM/issues
Trickvi B10n
@trickvi
May 02 2016 21:13
I've handed the reins of datapackage pypi package over to @vitorbaptista and okfn users